<?php
$form = $this->beginWidget('CActiveForm', array(
    'id' => 'inventory_upload-form',
    'enableAjaxValidation' => false,
    'enableClientValidation' => false,
));
?>
<div class="tab-content">
    <div class="tab-pane active">
        <ul class="clearfix form-ul material">
            <?php echo $form->hiddenField($model, 'id'); ?>
            <?php 
            $model->type ='Inventory';
            echo $form->hiddenField($model, 'type'); ?>
            <li class="col-sm-4">
                <?php
                if ($model->year == '') {
                    $year = date('Y');
                } else {
                    $year = $model->year;
                }
                $option = array($year => array('selected' => 'selected'));
                ?>  
                <?php echo $form->dropDownList($model, 'year',Order::getyear(), array('data-label' => 'Year <span style="color:red">*</span>','empty'=>'-Select-','options' => $option)); ?>
            </li>
            <li class="col-sm-4">
                <?php echo $form->dropDownList($model, 'month', Order::getmonths(), array('data-label' => 'Month <span style="color:red">*</span>','empty'=>'-Select-')); ?>
            </li>
            
            <li  class="col-sm-4">
                <?php
                echo CHtml::label('Document', 'Document');
                $allowedExtensions = array("csv");
                $this->widget('ext.EAjaxUpload.EAjaxUpload', array('id' => rand(),
                    'config' => array('action' => Yii::app()->createUrl(Yii::app()->controller->id . '/UploadDocuments', array('folder' => 'upload/inventory')),
                        'multiple' => false, 
                        'allowedExtensions' => $allowedExtensions,
                        'sizeLimit' => 1 * 1024 * 1024, 
                        'onStart' => "js:function(){}", 
                        'class' => 'pull-right', 
                        'onComplete' => "js:function(id, fileName, responseJSON){ 
                           // alert(fileName);
                        $('.icon_images').html('<input type=\"hidden\" value=\"'+responseJSON.filename+'\" name=\"InventoryUploads[file_name]\">');                                                                    "
                        . "}",)));
                ?>        
                <div class="icon_images">
                
                </div>
            </li>
        </ul>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" id="inventory_upload_close" data-dismiss="modal">Close</button>
    <?php
    $url = Yii::app()->createUrl('inventory/SaveUploadInventory');
    echo CHtml::ajaxSubmitButton('Save', $url, array(
        'dataType' => 'json',
        'type' => 'post',
        'success' => 'function(data) {
            $("#loader").hide();
                if(data.status=="success"){  
                    t8.success("Inventory Upload Saved Successfully!");
                    $("#inventory_upload_close").click();
                    reloadTable("#tbl_uploadinventory_details");
                } else { 
                    $("#inventory_upload-form .inventory_upload-save-btn").prop("disabled", false);                      
                    $("#inventory_upload-form .inventory_upload-save-btn").addClass("btn-theme").removeClass("btn_loading"); 
                    $.each(data, function(key, val) {
                        t8.error(""+val+""); 
                    }); 
                } 
        }',
        'beforeSend' => 'function(){ 
            $("#loader").show();
            $(".toast8-error").hide();
            $("#inventory_upload-form .inventory_upload-save-btn").prop("disabled", true);                      
            $("#inventory_upload-form .inventory_upload-save-btn").addClass("btn_loading").removeClass("btn-theme"); 

        }','complete' => 'function(){ 
            $("#loader").hide();
        }'
    ), array('id' => 'mybtn' . rand(), 'class' => 'inventory_upload-save-btn btn btn-theme'));
    ?>
</div>
<?php $this->endWidget(); ?>
